MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002172VCMIGUI - Otherpublic2015-04-05 20:142017-07-15 09:35
ReporterPovelitel 
Assigned ToDydzio 
PriorityhighSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.98 
Target VersionFixed in Version0.99 
Summary0002172: Stack upgrade button: feedback required when player can't afford update
DescriptionAB. mission 2. Rust Dragons.

I take unit (gorgules) previously mission, build them in tower and try them uprgrade, but i can't do it.
TagsNo tags attached.
Attached Filesrar file icon no upgrdae.rar [^] (830,496 bytes) 2015-04-05 20:14

- Relationships

-  Notes
(0006237)
SXX (administrator)
2015-12-29 10:50
edited on: 2015-12-30 01:07

Checked save and updated description. Current problem is that upgrade button is simply blocked when player can't afford upgrade which is really confusing.

What we need there is upgrade dialog to appear, but with blocked "Yes" button and probably some text about insufficient resource amount.

Code need fixing is CStackWindow::CWindowSection::createButtonPanel.

(0006787)
SXX (administrator)
2016-09-30 19:43

Fixed in PR225:
https://github.com/vcmi/vcmi/pull/225 [^]

- Issue History
Date Modified Username Field Change
2015-04-05 20:14 Povelitel New Issue
2015-04-05 20:14 Povelitel File Added: no upgrdae.rar
2015-12-29 10:49 SXX Severity minor => feature
2015-12-29 10:49 SXX Status new => confirmed
2015-12-29 10:49 SXX Summary I can't upgrade unit => Stack upgrade button: feedback required when player can't afford update
2015-12-29 10:50 SXX Note Added: 0006237
2015-12-29 10:50 SXX Category Campaigns => GUI - Other
2015-12-29 10:51 SXX Note Edited: 0006237 View Revisions
2015-12-29 11:56 SXX Priority normal => high
2015-12-30 01:07 SXX Note Edited: 0006237 View Revisions
2016-09-30 17:45 Dydzio Assigned To => Dydzio
2016-09-30 17:45 Dydzio Status confirmed => assigned
2016-09-30 19:43 SXX Note Added: 0006787
2016-09-30 19:43 SXX Status assigned => resolved
2016-09-30 19:43 SXX Fixed in Version => 0.99
2016-09-30 19:43 SXX Resolution open => fixed
2017-07-15 09:35 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean